- Main Page
- Related Pages
- Modules
- Files

Functions
GLM_GTX_perpendicular
GTX Extensions (Experimental)

## Functions
template<typename vecType >
vecType | perp (vecType const &x, vecType const &Normal)

## Detailed Description

Perpendicular of a vector from other one.

<glm/gtx/perpendicular.hpp> need to be included to use these functionalities.

## Function Documentation

vecType glm::perp | ( | vecType const & | x,
|  | vecType const & | Normal
| ) |  |

Projects x a perpendicular axis of Normal.

From GLM_GTX_perpendicular extension.